Query Class

This class will store all our pre-defined search definitions.

package | phpLDAPadmin
subpackage | Queries

### Methods

## __construct()

    __construct($server_id)

Inherited

inherited_from | \xmlTemplates::__construct()

### Parameters

#### $server_id

## Return a template by its ID

    getTemplate(string $templateid) : object

Inherited

inherited_from | \xmlTemplates::getTemplate()

### Parameters

#### $templateid

`string`

The template ID as it was when it was generated (normally used in $_REQUEST vars).

### Returns

`object`Template (or default template if the ID doesnt exist)

## Return a list of templates by their type This function should return a sorted list, as the array is built sorted.

    getTemplates(string $type, boolean $container, $disabled) : array

Inherited

inherited_from | \xmlTemplates::getTemplates()

### Parameters

#### $type

`string`

Type of template, eg: creation, modification

#### $container

`boolean`

Exclude templates purposely disabled.

#### $disabled

### Returns

`array`List of templates of the type

## This will return our custom class variables, used by the parent to create objects.

    getClassVars()

Inherited

inherited_from | \xmlTemplates::getClassVars()

## Get a list of template filenames.

    getTemplateFiles()

Inherited

inherited_from | \xmlTemplates::getTemplateFiles()

### Properties

## $server_id

    $server_id

Inherited

inherited_from | \xmlTemplates::$$server_id

## $templates

    $templates

Inherited

inherited_from | \xmlTemplates::$$templates